[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Aggiornamento pacchetti



On Thu, 2001-12-06 at 12:47, Massimiliano Fosci wrote:
> Salve a tutti,
> ecco il mio problema. Ho installato Debian 2.2r0 con supporto postgres e
> php. Ovviamente ho installato i pacchetti "stable".
> Adesso mi trovo a dover effettuare l'aggiornamento a postgres 7.1.3
> (peraltro segnalato come "testing"). Eseguire a mano questa operazione
> comporta una serie infinita di aggiornamenti dei pacchetti.

prima di tutto esegui un bel dump *completo* del db con pg_dumpall. il
6.x che c'era nella potato non e' compatibile a livello di dati con la
7.1. fatto cio', cambia in /etc/apt/sources.list tutti gli stable a
testing e poi:

apt-get update
apt-get install postgresql

dopodiche' rispristini il dump e sei a cavallo.

> Qualcuno sa dirmi se esiste un modo furbo per eseguire l'aggiornamento dei
> pacchetti in generale e di postgresql in particolare?
> Se provassi ad installare i pacchetti rpm invece che i deb risolverei
> qualcosa o farei solo piu' casini?

molti + casini!

ciao,
federico

-- 
Federico Di Gregorio
Debian GNU/Linux Developer & Italian Press Contact        fog@debian.org
INIT.D Developer                                           fog@initd.org
              La felicità è una tazza di cioccolata calda. Sempre. -- Io

Attachment: pgp1yJQhWepkZ.pgp
Description: PGP signature


Reply to: